package sample.game.model.titleAi;

import library.core.listener.OnCoreTouchUpListener;
import library.core.mainAI.RiverCrossingAI;
import library.core.model.CoreModel;
import library.core.system.CoreImageData;
import sample.game.controller.TitleAiController;

public class TitleAiNextButton  extends CoreModel implements OnCoreTouchUpListener{


	private TitleAiController controller;

	private boolean isTouch;

	public TitleAiNextButton(TitleAiController controller,CoreImageData imageData, float centerX,
			float centerY, float width, float height) {
		super(imageData, centerX, centerY, width, height);

		this.controller=controller;

		this.isTouch=true;
	}

	@Override
	public void onTouchUp() {
		if(!isTouch) return ;
		RiverCrossingAI.getSePlayer().play(1);
		isTouch=false;

		controller.startGameProduct();

	}

	public void setTouch(boolean isTouch) {
		this.isTouch = isTouch;
	}



}
